<?php
	
	/* Connect To Database*/
	require_once ("config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
	require_once ("config/conexion.php");//Contiene funcion que conecta a la base de datos
	
	$mon=0;
    $item=0;
	$paginaActual = $_POST['partida'];
	$nroProductos = mysqli_num_rows(mysqli_query($con, "select id_producto, cantidad, precio_venta, SUM(cantidad) maximo, SUM(precio_venta) suma from detalle_factura group by id_producto having count(cantidad) ORDER BY maximo DESC"));
    $nroLotes = 20;
    $nroPaginas = ceil($nroProductos/$nroLotes);
    $lista = '';
    $tabla = '';

    if($paginaActual > 1){
        $lista = $lista.'<li><a href="javascript:pagination('.($paginaActual-1).');">Anterior</a></li>';
    }
    for($i=1; $i<=$nroPaginas; $i++){
        if($i == $paginaActual){
            $lista = $lista.'<li class="active"><a href="javascript:pagination('.$i.');">'.$i.'</a></li>';
        }else{
            $lista = $lista.'<li><a href="javascript:pagination('.$i.');">'.$i.'</a></li>';
        }
    }
    if($paginaActual < $nroPaginas){
        $lista = $lista.'<li><a href="javascript:pagination('.($paginaActual+1).');">Siguiente</a></li>';
    }
  
  	if($paginaActual <= 1){
  		$limit = 0;
  	}else{
  		$limit = $nroLotes*($paginaActual-1);
  	}
		$query2=mysqli_query($con, "select * from tasa where id_tasa='1'");
	while ($row2=mysqli_fetch_array($query2)){
						$id_tasa=$row2['id_tasa'];
						$tasa_actual=$row2['tasa'];
						$ult_act=$row2['fecha'];
	}	
		

	$registro = mysqli_query($con, "select id_producto, cantidad, precio_venta, SUM(cantidad) maximo, SUM(precio_venta) suma from detalle_factura group by id_producto having count(cantidad) ORDER BY maximo DESC LIMIT $limit, $nroLotes ") or die(mysqli_error($con));
		
	
	$tabla = $tabla.'<table class="table-responsive" align="center">
			  <table class="table">
              <tr  class="info">
    <td>#</strong></td> 
    <td><strong>PRODUCTO</strong></td>
    <td><strong>CANTIDAD VENDIDA</strong></td>
    <td><strong>MONTO TOTAL EN VENTAS</strong></td>
	</tr>';
 
	while($dato=mysqli_fetch_array($registro)){
	$item++;
$mon=$dato['maximo']*$dato['precio_venta'];

$id_pro=$dato['id_producto'];
$consulta2=mysqli_query($con,"select * from products where id_producto='$id_pro'");
$dato2=mysqli_fetch_array($consulta2);
$nombre=$dato2['nombre_producto'];
		

$tabla = $tabla.'<tr>
<td>'.$item.'</td>
    <td>'.$nombre.'</td>
    <td>'.$dato["maximo"].'</td>
    <td>'.$mon.' $</td>
    
</tr>';

}

$tabla = $tabla.'
</table>';

  $array = array(0 => $tabla,
    			   1 => $lista);

    echo json_encode($array);
?>